class SpriteSheet{
  PImage[] images;
  int current = 0;
  
  SpriteSheet(PImage pSourceImage, int columns, int rows) {
    images = new PImage[columns * rows];
    
    int imageWidth = pSourceImage.width;
    int imageHeight = pSourceImage.height;
    
    for (int i = 0; i < images.length; ++i) {
      images[i] = pSourceImage.get(i%columns * (imageWidth/columns), i%rows * (imageHeight/rows), imageWidth/columns, imageHeight/rows); 
    }
  }
}
