class Door extends GameObject{
  PImage image;
  PImage out;
  PImage in;
  int baseTime;
  int animTime = 350;
  
  boolean tutorialInteractable;
  
  int targetX;
  int targetY;
  
  Door(PImage In, PImage Out, int PosX, int PosY, int SizeX, int SizeY, int TargetX, int TargetY, Human pHuman, boolean TutorialInteractable){
    super(null, PosX, PosY, SizeX, SizeY);
    image = In;
    out = Out;
    in = In;
    targetX = TargetX;
    targetY = TargetY;
    human = pHuman;
    
    tutorialInteractable = TutorialInteractable;
  }
  
  void update(){
    super.update();
    /*
    fill(0);
    rectMode(CENTER);
    rect(posX, posY, sizeX, sizeY);
    */
    
    if(click == true && mouseOver && !puzzleActive){
      click = false;
      target = true;
      human.mouseInput(posX, posY);
    }
    
    if(image!=null){
      image(image, posX - 2, posY + 4, image.width, image.height);
    }
    
    /*
    */
    if(millis() - animTime > baseTime){
      image = null;
    }
    /*
    */
  }
  
  void goIn(){
    image = in;
    baseTime = millis();
  }
  
  void goOut(){
    image = out;
    baseTime = millis();
  }
}
