class Room{
  String name;
  
  int sizeX;
  int sizeY;
  int posX;
  int posY;
  
  boolean mouseOver;
  
  boolean humanIn = false;
  boolean ghostIn = false;
  
  protected Room(String Name, int PosX, int PosY, int SizeX, int SizeY){
    sizeX = SizeX;
    sizeY = SizeY;
    posX = PosX;
    posY = PosY;
    name = Name;
  }
  
  void update(){
    mouseOver = mouseIn();
    ghostIn = isGhostIn();
    humanIn = isHumanIn();
    
    if(ghostIn && humanIn){
      human.anxiety += 1;
    }
  }
  
  boolean mouseIn(){
    if(posX - sizeX/2 < mouseX && posX + sizeX/2 > mouseX && posY - sizeY/2 < mouseY && posY + sizeY/2 > mouseY){
      return true;
    }
    
    return false;
  }


  boolean isHumanIn(){
    if(posX - sizeX/2 < human.posX && posX + sizeX/2 > human.posX && posY - sizeY/2 < human.posY && posY + sizeY/2 > human.posY){
      return true;
    }
    
    return false;
    
  }
  
  boolean isGhostIn(){
    if(steps <= 2){
      return false;
    }
    if(posX - sizeX/2 < ghost.posX && posX + sizeX/2 > ghost.posX && posY - sizeY/2 < ghost.posY && posY + sizeY/2 > ghost.posY){
      return true;
    }
    
    return false;
  }
}
